Results 1 to 5 of 5

Thread: get_iplayer not working in OpenSUSE 12.2

  1. #1

    Default get_iplayer not working in OpenSUSE 12.2

    Hello all,

    I had get_iplayer working happily in OpenSUSE 12.1, but after a recent clean install of 12.2 I can no longer make it work. I am using OpenSUSE 12.2 64-bit, get_iplayer v2.82, flvstreamer v 2.1c1 and RTMPdump 2.4

    Here is the output from a sample pid:
    :~> get_iplayer --pid=http://www.bbc.co.uk/iplayer/episode/b01p1xrw/The_National_Lottery_Saturday_Night_Draws_17_11_2012/
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5372.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5396.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5397.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5418.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5419.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5423.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5424.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5425.
    WARNING: Ignoring invalid option in /etc/get_iplayer/options: 'packagemanager = = disable'
    INFO: Please remove and use 'get_iplayer --dump-options' to display all valid options
    INFO: Episode-only pid detected
    INFO: Trying pid: b01p1xrw using type: tv
    INFO Trying to stream pid using type tv
    INFO: pid not found in tv cache
    INFO: Checking existence of default version
    ERROR: Failed to get iphone URL from iplayer site

    INFO: flashhigh1,flashhigh2 modes will be tried for version default
    INFO: Trying flashhigh1 mode to record tv: -
    INFO: File name prefix = The_National_Lottery_Saturday_Night_Draws_-_17_11_2012_b01p1xrw_default
    FLVStreamer v2.1c1
    (c) 2010 Andrej Stepanchuk, Howard Chu, The Flvstreamer Team; license: GPL
    Connecting ...
    ERROR: HandleCtrl: Ignoring SWFVerification request, no CRYPTO support!
    ERROR: Closing connection: NetStream.Failed
    INFO: Command exit code 1 (raw code = 256)
    WARNING: Failed to stream file /home/robin/Videos/The_National_Lottery_Saturday_Night_Draws_-_17_11_2012_b01p1xrw_default.partial.mp4.flv via RTMP
    INFO: skipping flashhigh1 mode
    INFO: Trying flashhigh2 mode to record tv: The National Lottery Saturday Night Draws - 17/11/2012
    INFO: File name prefix = The_National_Lottery_Saturday_Night_Draws_-_17_11_2012_b01p1xrw_default
    FLVStreamer v2.1c1
    (c) 2010 Andrej Stepanchuk, Howard Chu, The Flvstreamer Team; license: GPL
    Connecting ...
    ERROR: rtmp server sent error
    ERROR: rtmp server requested close
    INFO: Command exit code 1 (raw code = 256)
    WARNING: Failed to stream file /home/robin/Videos/The_National_Lottery_Saturday_Night_Draws_-_17_11_2012_b01p1xrw_default.partial.mp4.flv via RTMP
    INFO: skipping flashhigh2 mode
    ERROR: Failed to record 'The National Lottery Saturday Night Draws - 17/11/2012 (b01p1xrw)'

    I would be grateful for any pointers as to what might be wrong.

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,856
    Blog Entries
    14

    Default Re: get_iplayer not working in OpenSUSE 12.2

    I do this differently, but I wouldn't know if that would help:
    Code:
    get_iplayer | grep Lottery
    On my machine it shows up as PID 901, next I do
    Code:
    get_iplayer --get 901
    ... and the proxy I'm using, checked and works.

    Questions: how did you install get_iplayer? Did you setup the Packman repo for multimedia?
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: get_iplayer not working in OpenSUSE 12.2

    I have just got in and delighted to find your reply. Thank you for your help.

    Quote Originally Posted by Knurpht View Post
    I do this differently, but I wouldn't know if that would help:
    Code:
    get_iplayer | grep Lottery
    On my machine it shows up as PID 901, next I do
    Code:
    get_iplayer --get 901
    ... and the proxy I'm using, checked and works.
    I didn't get too far with this, I'm afraid, but the syntax I used originally always worked fine on 12.1:
    ~> get_iplayer | grep lottery
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5372.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5396.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5397.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5418.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5419.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5423.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5424.
    Using a hash as a reference is deprecated at /usr/local/bin/get_iplayer line 5425.
    WARNING: Ignoring invalid option in /etc/get_iplayer/options: 'packagemanager = = disable'
    INFO: Please remove and use 'get_iplayer --dump-options' to display all valid options

    get_iplayer --get 901 although for a different programme, responds exactly as in my first post.

    Questions: how did you install get_iplayer? Did you setup the Packman repo for multimedia?
    I know there are (or at least, have been) problems with some repo versions of get_iplayer and its dependencies. I do use the Packman repo for multimedia and YaST gives the following version info:
    get_iplayer: 2.82-1.17-noarch from vendor "http://packman.links2linux.de" (installed)
    rtmpdump: 2.4.git20121102-1.1-x86_64 from vendor "http://packman.links2linux.de" (installed)
    I have also tried: 2.4-1.1-x86_64 from vendor obs://build.opensuse.org/home:aledr
    flvstreamer: 2.1c1-1.1-x86_64 from vendor obs://build.opensuse.org/home:Herbster0815 (installed)
    I think these should be OK, but all of them give the same result.

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,856
    Blog Entries
    14

    Default Re: get_iplayer not working in OpenSUSE 12.2

    I don't have flvstreamer installled. All my multimedia related packages come from Packman.

    Funny thing is, that your get_iplayer refers to /usr/local/bin where mine is situated in /usr/bin
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5

    Default Re: get_iplayer not working in OpenSUSE 12.2

    Quote Originally Posted by Knurpht View Post
    I don't have flvstreamer installled. All my multimedia related packages come from Packman.
    Food for thought. flvstreamer is not actually listed as a dependency of get_iplayer, but it makes no difference to the problem if flvstreamer is uninstalled, other than a WARNING: that flvstreamer cannot be found.

    Funny thing is, that your get_iplayer refers to /usr/local/bin where mine is situated in /usr/bin
    I don't think that is significant. It certainly finds and executes get_iplayer and get_iplayer knows where to find the other components.

    I'm beginning to find quite a number of things now that don't work since the upgrade, e.g. Google Earth and, disappointingly, my Photoshop plugins via pspi. The latter is more likely to be due to the new version of GIMP I would think.

    But one thing at a time. I'm running out of ideas with get_iplayer!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •